VERSION 4.00
Begin VB.Form Form1 
   Caption         =   "DBSearch by Matt Hart - vbhelp@matthart.com"
   ClientHeight    =   5205
   ClientLeft      =   1965
   ClientTop       =   1530
   ClientWidth     =   5505
   Height          =   5610
   Left            =   1905
   LinkTopic       =   "Form1"
   ScaleHeight     =   5205
   ScaleWidth      =   5505
   Top             =   1185
   Width           =   5625
   Begin VB.ListBox List3 
      Height          =   2595
      Left            =   3720
      TabIndex        =   12
      Top             =   2400
      Width           =   1575
   End
   Begin VB.ListBox List2 
      Height          =   2595
      Left            =   2040
      TabIndex        =   5
      Top             =   2400
      Width           =   1455
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   2160
      Top             =   120
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Click to stop loading the list box with author names."
      Height          =   495
      Left            =   2880
      TabIndex        =   2
      Top             =   240
      Width           =   2295
   End
   Begin VB.ListBox List1 
      Height          =   2595
      Left            =   120
      TabIndex        =   0
      Top             =   2400
      Width           =   1755
   End
   Begin VB.Data Data1 
      Caption         =   "Biblio.mdb"
      Connect         =   "Access"
      DatabaseName    =   "F:\VB5\Biblio.mdb"
      Exclusive       =   0   'False
      Height          =   465
      Left            =   2880
      Options         =   0
      ReadOnly        =   0   'False
      RecordsetType   =   1  'Dynaset
      RecordSource    =   "Authors"
      Top             =   960
      Width           =   2355
   End
   Begin VB.Label Label4 
      Caption         =   "Fields"
      Height          =   255
      Index           =   1
      Left            =   3720
      TabIndex        =   13
      Top             =   2040
      Width           =   1575
   End
   Begin VB.Label Label7 
      Caption         =   "Year Born:"
      Height          =   255
      Index           =   2
      Left            =   120
      TabIndex        =   11
      Top             =   1200
      Width           =   855
   End
   Begin VB.Label Label7 
      Alignment       =   1  'Right Justify
      Caption         =   "Author:"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   10
      Top             =   840
      Width           =   735
   End
   Begin VB.Label Label7 
      Alignment       =   1  'Right Justify
      Caption         =   "Au_ID:"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   9
      Top             =   480
      Width           =   735
   End
   Begin VB.Label Label6 
      Caption         =   "Current Record"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   120
      Width           =   1455
   End
   Begin VB.Label Label5 
      Caption         =   "Authors: Click an Author to search using the FindFirst method."
      Height          =   615
      Left            =   120
      TabIndex        =   7
      Top             =   1680
      Width           =   1695
   End
   Begin VB.Label Label4 
      Caption         =   "Tables: Click a table to retrieve the fields in that table."
      Height          =   615
      Index           =   0
      Left            =   2040
      TabIndex        =   6
      Top             =   1680
      Width           =   1455
   End
   Begin VB.Label Label3 
      Caption         =   "Label2"
      DataField       =   "Au_ID"
      DataSource      =   "Data1"
      Height          =   255
      Left            =   1080
      TabIndex        =   4
      Top             =   480
      Width           =   1575
   End
   Begin VB.Label Label2 
      Caption         =   "Label2"
      DataField       =   "Year Born"
      DataSource      =   "Data1"
      Height          =   255
      Left            =   1080
      TabIndex        =   3
      Top             =   1200
      Width           =   1695
   End
   Begin VB.Label Label1 
      Caption         =   "Label1"
      DataField       =   "Author"
      DataSource      =   "Data1"
      Height          =   255
      Left            =   1080
      TabIndex        =   1
      Top             =   840
      Width           =   1575
   End
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

' DBSearch Sample by Matt Hart - vbhelp@matthart.com
' http://matthart.com
'
' This program loads a list box with all the Author names from VB's
' sample Biblio database.  It shows how to use the Seek method.
'
' It also shows how to retrieve all the table names and fields names.

Private Sub Command1_Click()
    Timer1.Enabled = False
    Timer1.Tag = "!"
End Sub

Private Sub Form_Load()
    Timer1.Enabled = False
    
    Show
    Refresh
    Data1.Refresh
    
    Dim T As TableDef
    For Each T In Data1.Database.TableDefs
        List2.AddItem T.Name
    Next
    
    Timer1.Enabled = True
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    End
End Sub

Private Sub Label1_Change()
    If Timer1.Tag <> "!" Then
        List1.AddItem Label1.Caption
    End If
End Sub

Private Sub List1_Click()
    Data1.Recordset.FindFirst "Author = '" & List1.List(List1.ListIndex) & "'"
End Sub

Private Sub List2_Click()
    Dim F As Field
    List3.Clear
    For Each F In Data1.Database.TableDefs(List2.List(List2.ListIndex)).Fields
        List3.AddItem F.Name
    Next
End Sub

Private Sub Timer1_Timer()
    On Local Error Resume Next
    Data1.Recordset.MoveNext
    If Err Then Timer1.Enabled = False: Timer1.Tag = "!"
End Sub
